GET
/projects/{projectName}/placements
http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placementsLists the placement(s) of a project.
Access Token Required: API Key
Path Parameters
projectNamestringrequired
The project containing the placements to be listed.
Query Params
nextTokenstring
The token to retrieve the next set of results.
maxResultsinteger
The maximum number of results to return per request. If not set, a default value of 100 is used.
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}Language
CredentialsAPI KEY
API Key
Enter token below to save for later
cURL Request
1curl --request GET \2 --url 'http://projects.iot1click.{region}.amazonaws.com/projects/{projectName}/placements' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'Response
1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}